|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QHelpIndexWidget Class Reference
[QtHelp module]

The QHelpIndexWidget class provides a list view displaying the QHelpIndexModel. More...

     #include <QHelpIndexWidget>

Inherits QListView.

- List of all members, including inherited members

### Public Slots

- void activateCurrentItem ()
- void filterIndices ( const QString & filter, const QString & wildcard = QString() )

- 9 public slots inherited from QAbstractItemView
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject

### Signals

- void linkActivated ( const QUrl & link, const QString & keyword )
- void linksActivated ( const QMap<QString, QUrl> & links, const QString & keyword )

- 1 signal inherited from QListView
- 6 signals inherited from QAbstractItemView
- 1 signal inherited from QWidget
- 1 signal inherited from QObject

### Additional Inherited Members

- 13 properties inherited from QListView
- 15 properties inherited from QAbstractItemView
- 2 properties inherited from QAbstractScrollArea
- 6 properties inherited from QFrame
- 57 properties inherited from QWidget
- 1 property inherited from QObject
- 29 public functions inherited from QListView
- 54 public functions inherited from QAbstractItemView
- 15 public functions inherited from QAbstractScrollArea
- 13 public functions inherited from QFrame
- 206 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 12 public functions inherited from QPaintDevice
- 4 static public members inherited from QWidget
- 5 static public members inherited from QObject
- 2 protected functions inherited from QListView
- 33 protected functions inherited from QAbstractItemView
- 16 protected functions inherited from QAbstractScrollArea
- 38 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 9 protected slots inherited from QAbstractItemView
- 1 protected slot inherited from QAbstractScrollArea
- 1 protected slot inherited from QWidget

## Detailed Description

The QHelpIndexWidget class provides a list view displaying the QHelpIndexModel.

## Member Function Documentation

### void QHelpIndexWidget::activateCurrentItem () `[slot]`

Activates the current item which will result eventually in the emitting of a linkActivated() or linksActivated() signal.

### void QHelpIndexWidget::filterIndices ( const QString & filter, const QString & wildcard = QString() ) `[slot]`

Filters the indices according to filter or wildcard. The item with the best match is set as current item.

See also QHelpIndexModel::filter().

### void QHelpIndexWidget::linkActivated ( const QUrl & link, const QString & keyword ) `[signal]`

This signal is emitted when an item is activated and its associated link should be shown. To know where the link belongs to, the keyword is given as a second paremeter.

### void QHelpIndexWidget::linksActivated ( const QMap<QString, QUrl> & links, const QString & keyword ) `[signal]`

This signal is emitted when the item representing the keyword is activated and the item has more than one link associated. The links consist of the document title and their URL.